WordPress.org

Make WordPress Core

Changeset 47035 for trunk/package.json


Ignore:
Timestamp:
01/03/2020 01:15:33 PM (6 months ago)
Author:
gziolo
Message:

Build Tools: Integrate DependencyExtractionWebpackPlugin in the JS build.

This patch integrates DependencyExtractionWebpackPlugin which was battle-tested in Gutenberg.

This will greatly simplify the process of upgrading npm packages which change after every Gutenberg release. It might even useful during the WordPress release cycle as we might need to publish more often as we discover critical bugs and regressions.

Props jonsurrell, adamsilverstein, youknowriad, ocean90, netweb.

Fixes #48154.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/package.json

    r46872 r47035  
    2727    "devDependencies": {
    2828        "@wordpress/custom-templated-path-webpack-plugin": "1.5.0",
    29         "@wordpress/e2e-test-utils": "2.4.3",
    30         "@wordpress/library-export-default-webpack-plugin": "1.4.1",
    31         "@wordpress/scripts": "5.1.0",
     29        "@wordpress/dependency-extraction-webpack-plugin": "2.1.0",
     30        "@wordpress/e2e-test-utils": "3.0.0",
     31        "@wordpress/library-export-default-webpack-plugin": "1.5.0",
     32        "@wordpress/scripts": "6.0.0",
    3233        "autoprefixer": "9.6.2",
    3334        "check-node-version": "4.0.1",
     
    7778        "@wordpress/autop": "2.5.1",
    7879        "@wordpress/blob": "2.5.1",
     80        "@wordpress/block-directory": "1.0.5",
    7981        "@wordpress/block-editor": "3.2.5",
    8082        "@wordpress/block-library": "2.9.6",
Note: See TracChangeset for help on using the changeset viewer.